## Delete Worker `workers.scripts.delete(strscript_name, ScriptDeleteParams**kwargs) -> object` **delete** `/accounts/{account_id}/workers/scripts/{script_name}` Delete your worker. This call has no response body on a successful delete. ### Parameters - `account_id: str` Identifier. - `script_name: str` Name of the script, used in URLs and route configuration. - `force: Optional[bool]` If set to true, delete will not be stopped by associated service binding, durable object, or other binding. Any of these associated bindings/durable objects will be deleted along with the script. ### Returns - `object` ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) script = client.workers.scripts.delete( script_name="this-is_my_script-01", account_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(script) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": {} } ```